import { Mark } from '@tiptap/core';

interface HighlightOptions {
    multicolor: boolean;
    HTMLAttributes: Record<string, any>;
}
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        highlight: {
            /**
             * Set a highlight mark
             */
            setHighlight: (attributes?: {
                color: string;
            }) => ReturnType;
            /**
             * Toggle a highlight mark
             */
            toggleHighlight: (attributes?: {
                color: string;
            }) => ReturnType;
            /**
             * Unset a highlight mark
             */
            unsetHighlight: () => ReturnType;
        };
    }
}
declare const inputRegex: RegExp;
declare const pasteRegex: RegExp;
declare const Highlight: Mark<HighlightOptions, any>;

export { Highlight, HighlightOptions, Highlight as default, inputRegex, pasteRegex };
